> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user tablesfilters

> Get the table filters



## OpenAPI

````yaml /schema.json get /user-tables/filters
openapi: 3.1.0
info:
  version: 01KVQG1C20MKD0B8FDPE4RHEDH
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /user-tables/filters:
    get:
      tags:
        - Users
      description: Get the table filters
      operationId: getUserTableFilters
      parameters:
        - name: filter
          in: query
          description: Apply search criteria
          required: false
          schema:
            type: string
        - name: space
          in: query
          description: Space Identifier
          required: false
          schema:
            type: string
      responses:
        '200':
          description: A user filter
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserTableFilterListResponse'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    UserTableFilterListResponse:
      type: object
      properties:
        metadata:
          $ref: '#/components/schemas/ActionMetaData'
        results:
          $ref: '#/components/schemas/UserTableFilterList'
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string
    ActionMetaData:
      type: object
      properties:
        totalCount:
          type: integer
          format: int32
          description: Total count of items that match the criteria.
    UserTableFilterList:
      type: array
      items:
        $ref: '#/components/schemas/UserTableFilter'
    UserTableFilter:
      type: object
      properties:
        identifier:
          type: string
          maxLength: 255
        user:
          type: string
          maxLength: 255
        tableKey:
          type: string
          maxLength: 255
        name:
          type: string
          maxLength: 255
        filter:
          type: object
          additionalProperties: true
      required:
        - identifier
        - user
        - tableKey
        - name
        - filter

````